> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/users/me/applications/approvals

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/users/me/applications/approvals
```

## Supported methods and overview&#x20;

* `GET` - used to retrieve a list of information about third party (i.e. non-Covata) client applications which the currently authenticated [Covata user](/3.1/admin/administering-users.md)<sup>\*</sup> has approved access to their resources on the Covata Platform.

> [!NOTE]
>
> This method takes no parameters.

## Detailed description&#x20;

This API endpoint retrieves a list of information about third party (i.e. non-Covata) client applications which the currently authenticated Covata user<sup>\*</sup> has approved access to their resources on the Covata Platform.

Such a client application could be one that you or your organization is developing, where this application integrates with Covata technologies either using Covata's API or a Covata SDK.

> [!NOTE]
>
> Before any client application can be granted access to a Covata user's resources, a Covata Platform administrator must first have [registered the client application](/3.1/api/access-service-api-v1-clientapps.md) on their Covata Platform.

## Supported roles&#x20;

This API endpoint supports the following Covata user [roles](/3.1/admin/administering-users.md#a-users-roles) (as described in the [Covata Platform Administrator's Guide](/3.1/admin.md)):

* [Originator](/3.1/admin/administering-users.md#originator-role)
* [Collaborator](/3.1/admin/administering-users.md#collaborator-role)

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the [header](/3.1/api/access-service-api-v1-users-me-applications-approvals.md#access-service-api-v1-users-me-applications-approvals-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6`

## Returns&#x20;

A JSON-formatted response containing an array of elements, each of which contains the following members:

* **applications** - .

  * **id** - .
  * **clientId** - .
  * **clientDescription** - .
  * **createdAt** - .

  **Example (response from ...):**

<sup>\*</sup> The currently authenticated user is determined by the access token passed in the [header](/3.1/api/access-service-api-v1-users-me-applications-approvals.md#access-service-api-v1-users-me-applications-approvals-required-headers) of requests to this endpoint.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.